# std::basic_string_view::empty

From cppreference.com
< cpp‎ | string‎ | basic string view

constexpr bool empty() const; |  | (since C++17)

Checks if the view has no characters, i.e. whether `size() == 0`.

### Parameters

(none)

### Return value

true if the view is empty, false otherwise

### Exceptions

`noexcept` specification:
noexcept

### Complexity

Constant.

### See also

size length | returns the number of characters (public member function)
max_size | returns the maximum number of characters (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string_view/empty&oldid=91685"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template